Debian Bug report logs - #448205
libxslt1.1: please implement a systemId function

version graph

Package: libxslt1.1; Maintainer for libxslt1.1 is Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>; Source for libxslt1.1 is src:libxslt.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Fri, 26 Oct 2007 23:00:01 UTC

Severity: wishlist

Tags: fixed-upstream, patch

Found in version libxslt/1.1.22-1

Fixed in version libxslt/1.1.27-1

Done: Aron Xu <aron@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=519926

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#448205; Package libxslt1.1. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libxslt1.1: please implement a systemId function
Date: Fri, 26 Oct 2007 22:53:58 +0000
[Message part 1 (text/plain, inline)]
Package: libxslt1.1
Version: 1.1.22-1
Severity: normal

Both Xalan and Saxon have a systemId function (in their respective 
namespaces) to provide the URI of the file that is being transformed.  
It would be nice to have that function in libxslt1.1 as well, because 
then DocBook could use it[0].

I would normally provide a patch, but I briefly looked at the code, and 
it seems non-trivial to fix without breaking the ABI. But I suppose 
you're more familiar with libxml2 and libxslt1.1 than I.

[0] See line 250 et seq in 
/usr/share/xml/docbook/stylesheet/nwalsh/common/stripns.xsl .

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.23-rc9 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libxslt1.1 depends on:
ii  libc6                      2.6.1-6       GNU C Library: Shared libraries
ii  libgcrypt11                1.2.4-2       LGPL Crypto library - runtime libr
ii  libxml2                    2.6.30.dfsg-2 GNOME XML library

libxslt1.1 recommends no packages.

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
a typesetting engine: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#448205; Package libxslt1.1. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 448205@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 448205@bugs.debian.org, control@bugs.debian.org
Subject: Patch to implement saxon:systemId function
Date: Fri, 26 Oct 2007 23:27:05 +0000
[Message part 1 (text/plain, inline)]
severity 448205 wishlist
tags 448205 + patch
kthxbye

I created a patch to implement the saxon:systemId function.  It has been 
tested and works with the DocBook stylesheets.  The patch is attached 
and should be applied to saxon.c in the libexslt directory.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
a typesetting engine: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[libxslt-systemId.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Severity set to `wishlist' from `normal' Request was from "brian m. carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. (Fri, 26 Oct 2007 23:30:02 GMT) Full text and rfc822 format available.

Tags added: patch Request was from "brian m. carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. (Fri, 26 Oct 2007 23:30:03 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=519926. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Sun, 02 Mar 2008 16:15:01 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:20 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 13 Sep 2012 16:48:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Aron Xu <happyaron.xu@gmail.com> to control@bugs.debian.org. (Tue, 02 Oct 2012 17:54:09 GMT) Full text and rfc822 format available.

Reply sent to Aron Xu <aron@debian.org>:
You have taken responsibility. (Thu, 04 Oct 2012 19:36:05 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Thu, 04 Oct 2012 19:36:05 GMT) Full text and rfc822 format available.

Message #27 received at 448205-close@bugs.debian.org (full text, mbox):

From: Aron Xu <aron@debian.org>
To: 448205-close@bugs.debian.org
Subject: Bug#448205: fixed in libxslt 1.1.27-1
Date: Thu, 04 Oct 2012 19:32:38 +0000
Source: libxslt
Source-Version: 1.1.27-1

We believe that the bug you reported is fixed in the latest version of
libxslt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 448205@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aron Xu <aron@debian.org> (supplier of updated libxslt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 03 Oct 2012 00:22:53 +0800
Source: libxslt
Binary: libxslt1.1 libxslt1-dev libxslt1-dbg xsltproc python-libxslt1 python-libxslt1-dbg
Architecture: source amd64
Version: 1.1.27-1
Distribution: experimental
Urgency: low
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Changed-By: Aron Xu <aron@debian.org>
Description: 
 libxslt1-dbg - XSLT 1.0 processing library - debugging symbols
 libxslt1-dev - XSLT 1.0 processing library - development kit
 libxslt1.1 - XSLT 1.0 processing library - runtime library
 python-libxslt1 - Python bindings for libxslt1
 python-libxslt1-dbg - Python bindings for libxslt1 (debug extension)
 xsltproc   - XSLT 1.0 command line processor
Closes: 448205 681163 683353
Changes: 
 libxslt (1.1.27-1) experimental; urgency=low
 .
   * New upstream release (Closes: #448205, #683353)
   * debian/rules:
     + Add hardening flags for dbg package in LDFLAGS (Closes: #681163)
   * debian/control:
     - std-ver: 3.9.3 -> 3.9.4, no change required.
Checksums-Sha1: 
 66f1dbe8760686fddf7dd0f929e260ad07f224d7 1966 libxslt_1.1.27-1.dsc
 f8072177f1ffe1b9bb8759a9e3e6349e1eac1f66 3427310 libxslt_1.1.27.orig.tar.gz
 3a88dabd4c2c541ead1810cb4ddae3e816ff703c 28387 libxslt_1.1.27-1.debian.tar.gz
 1321be4ab8df927722eaab686f90a87076ffa6d3 256514 libxslt1.1_1.1.27-1_amd64.deb
 0eaa9eb50e50c9141aa6d50f8d0efbb2acabbf0c 658206 libxslt1-dev_1.1.27-1_amd64.deb
 8bf435d20c8fc0fcb87eee1f036d6b58e5c28f30 507506 libxslt1-dbg_1.1.27-1_amd64.deb
 b9214d227138ef285debb72eec7e6be3afce3590 118444 xsltproc_1.1.27-1_amd64.deb
 ef87ab309c6e6ed220bc14816a9652fe87b244db 173248 python-libxslt1_1.1.27-1_amd64.deb
 90e4506c8e65b252f51b301f8a934df9af0eead5 412992 python-libxslt1-dbg_1.1.27-1_amd64.deb
Checksums-Sha256: 
 977bd286dadab3ba52104fc51e79e0f9e44dc72b5b0451247582c233d7fd90bb 1966 libxslt_1.1.27-1.dsc
 b6a8d9a421f2630999ca91d9f8c091ee8ea2d580e6be84c1d21b2a45e11e7e26 3427310 libxslt_1.1.27.orig.tar.gz
 67e83f554be0332c4d56c74922a4e7098318e1c6c61d5621f3e42fdef78158d1 28387 libxslt_1.1.27-1.debian.tar.gz
 ba3f4c110f5c6c8690572569368de13d12d3a84f031a851285c80bfa228807f2 256514 libxslt1.1_1.1.27-1_amd64.deb
 99249f9b256559978cc724621067503de66c052b9ce4fdc4bc2518c167127f37 658206 libxslt1-dev_1.1.27-1_amd64.deb
 88036ff8db1d5642b0d02c30ba0d9d64c3b745b57e58d30b5fd42af043ab502c 507506 libxslt1-dbg_1.1.27-1_amd64.deb
 620e18148ed12e182b2f2c42b5ac0bba9b710ab2e017870820bc4002b898443b 118444 xsltproc_1.1.27-1_amd64.deb
 30e74f0b45333ed30f08b2231393b25b817a3bb9617751a3ed986596ca82674b 173248 python-libxslt1_1.1.27-1_amd64.deb
 d76d2dcabf807a46e501afba54c308101e1671180e1fef453a86fee0d817f4c9 412992 python-libxslt1-dbg_1.1.27-1_amd64.deb
Files: 
 9df5e9ac5a8e9eca7e17ef0c60ed2a2c 1966 text optional libxslt_1.1.27-1.dsc
 4d01ff464b9ea7236925a1adf147c7f8 3427310 text optional libxslt_1.1.27.orig.tar.gz
 b6208e02dc75640fd7024b74d126ae7e 28387 text optional libxslt_1.1.27-1.debian.tar.gz
 877c0dc65101e4a58a015612d95e0f69 256514 libs optional libxslt1.1_1.1.27-1_amd64.deb
 719360b5edc80a00da3587bde48370ac 658206 libdevel optional libxslt1-dev_1.1.27-1_amd64.deb
 7a8d9b0938f253ea9ea866829b00779c 507506 debug extra libxslt1-dbg_1.1.27-1_amd64.deb
 4b2e876e89d01dcc4c165a0658017039 118444 text optional xsltproc_1.1.27-1_amd64.deb
 560770a7937434d121624743b42b6abb 173248 python optional python-libxslt1_1.1.27-1_amd64.deb
 726df57e73e26151c1703140293496b4 412992 debug extra python-libxslt1-dbg_1.1.27-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBAgAGBQJQbeOTAAoJEIAhAkTu07wN/QkIAMY1rJ9yUK1GeIw4GkYCKtq5
dd1h0eakKfzX/M8F9LNNwbTbSvVtIZ2T/5JwCSGzLs7NhbcqNP2hvFxK+kxuZzdK
eA4Ylvi+aomDhlfdL7yNTmCXPZgAZY3/z7t1Ard3Gn/Crt6qTbRMD95riMU0zqfU
d0szJz7rWAgoFYxll0fGlpPO7yXkiDXJh/HeoeFr8Sqb7iL4dPBbj0g3JQ27fDet
ybsc97fUFrPuT4l0Wq7dnjy6X+toU/2rMIZBp+LZqhoDqCR0Pg3Wu1fQ1wNTz/9J
vJ5d4+HYheNkf+ea28KOy1ebrDbOPRBQc/+0U+Wk9wMyc+hH1OHlF+hG2CEQRRo=
=r5p6
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Sep 2013 07:25:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:58:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.